忘记密码   免费注册 查看新帖 | 论坛精华区

ChinaUnix.net

  平台 论坛 博客 认证专区 大话IT HPC论坛 徽章 文库 沙龙 自测 下载 频道自动化运维 虚拟化 储存备份 C/C++ PHP MySQL 嵌入式 Linux系统
最近访问板块 发新帖
查看: 520 | 回复: 0

[学习分享] libsodium和dnscrypt-proxy安装求助! [复制链接]

论坛徽章:
0
发表于 2017-10-22 15:59 |显示全部楼层
本帖最后由 cyb322 于 2017-10-22 16:04 编辑

安装环境为centos7 X64

libsodium安装
cd /usr/local/src
wget -c https://download.libsodium.org/l ... odium-1.0.15.tar.gz
cd /usr/local/src
tar -zxvf libsodium-1.0.15.tar.gz
cd libsodium-1.0.15
./configure
make && make install
echo /usr/local/lib > /etc/ld.so.conf.d/usr_local_lib.conf
ldconfig


libsodium安装过程中出现以下错误
libtool: warning: '-version-info/-version-number' is ignored for convenience libraries
  CC       crypto_onetimeauth/poly1305/sse2/libsse2_la-poly1305_sse2.lo
  CC       crypto_pwhash/scryptsalsa208sha256/sse/libsse2_la-pwhash_scryptsalsa208sha256_sse.lo
  CCLD     libsse2.la
libtool: warning: '-version-info/-version-number' is ignored for convenience libraries
  CC       crypto_generichash/blake2b/ref/libssse3_la-blake2b-compress-ssse3.lo
  CC       crypto_pwhash/argon2/libssse3_la-argon2-fill-block-ssse3.lo
  CC       crypto_stream/chacha20/dolbeau/libssse3_la-chacha20_dolbeau-ssse3.lo
  CCLD     libssse3.la
libtool: warning: '-version-info/-version-number' is ignored for convenience libraries
  CC       crypto_generichash/blake2b/ref/libsse41_la-blake2b-compress-sse41.lo
  CCLD     libsse41.la
libtool: warning: '-version-info/-version-number' is ignored for convenience libraries
  CC       crypto_generichash/blake2b/ref/libavx2_la-blake2b-compress-avx2.lo
  CC       crypto_pwhash/argon2/libavx2_la-argon2-fill-block-avx2.lo
  CC       crypto_stream/chacha20/dolbeau/libavx2_la-chacha20_dolbeau-avx2.lo
  CC       crypto_stream/salsa20/xmm6int/libavx2_la-salsa20_xmm6int-avx2.lo
  CCLD     libavx2.la
libtool: warning: '-version-info/-version-number' is ignored for convenience libraries
  CC       crypto_pwhash/argon2/libavx512f_la-argon2-fill-block-avx512f.lo
  CCLD     libavx512f.la
libtool: warning: '-version-info/-version-number' is ignored for convenience libraries
  CCLD     libsodium.la



dnscrypt-proxy安装
wget -c https://download.dnscrypt.org/dn ... proxy-1.9.5.tar.bz2
bunzip2 -cd dnscrypt-proxy-*.tar.bz2 | tar xvf -
cd dnscrypt-proxy-*
./configure && make
make install


dnscrypt-proxy安装过程中出现以下错误

libtool: warning: '-version-info/-version-number' is ignored for convenience libraries
libtool: warning: '-release' is ignored for convenience libraries
  CCLD     libevent_core.la
libtool: warning: '-version-info/-version-number' is ignored for convenience libraries
libtool: warning: '-release' is ignored for convenience libraries
  CCLD     libevent_extra.la
libtool: warning: '-version-info/-version-number' is ignored for convenience libraries
libtool: warning: '-release' is ignored for convenience libraries


pid_file.c: 在函数‘pid_file_write’中:
pid_file.c:103:9: 警告:忽略声明有 warn_unused_result 属性的‘ftruncate’的返回值 [-Wunused-result]
         (void) ftruncate(fd, (off_t) 0);
         ^



本人没基础。所以看不明白错误所在!

因为比较急!所以没时间慢慢学习!
打算先做出来用着。再慢慢学习!
所以,请各位大神指导!!!
谢谢!!!!
您需要登录后才可以回帖 登录 | 注册

本版积分规则

  

北京盛拓优讯信息技术有限公司. 版权所有 京ICP备16024965号 北京市公安局海淀分局网监中心备案编号:11010802020122
广播电视节目制作经营许可证(京) 字第1234号 中国互联网协会会员  联系我们:
感谢所有关心和支持过ChinaUnix的朋友们 转载本站内容请注明原作者名及出处

清除 Cookies - ChinaUnix - Archiver - WAP - TOP